MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028854Community[OCCT] OCCT:Foundation Classespublic2017-06-19 11:032017-09-29 16:29
ReporterBenjaminBihler 
Assigned Tobugmaster 
PrioritynormalSeveritytext 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028854: The documentation should state where handle reference counting happens
DescriptionOne could think that reference counting happens in handles themselves which would probably forbid creating two distinct handles for the same plain pointer. But actually reference counting is part of Standard_Transient.
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0067511)
git (administrator)
2017-06-19 12:37

Branch CR28854 has been created by BenjaminBihler.

SHA-1: f4970bf566ca93830856cee65a7b0663c545dded


Detailed log of new commits:

Author: Benjamin Bihler
Date: Mon Jun 19 10:59:22 2017 +0200

    0028854: The documentation should state where handle reference counting happens
    
    Corrected typo.

Author: Benjamin Bihler
Date: Mon Jun 19 10:55:26 2017 +0200

    0028854: The documentation should state where handle reference counting happens
    
    The class commend in Standard_Handle.hxx explains the difference to shared
    pointers now.
(0069672)
git (administrator)
2017-08-18 17:24

Branch CR28854_1 has been created by abv.

SHA-1: 7260c9e163b15190868826e37a1bdf2fed115693


Detailed log of new commits:

Author: Benjamin Bihler
Date: Mon Jun 19 11:55:26 2017 +0300

    0028854: The documentation should state where handle reference counting happens
    
    The comment to class opencascade::handle<> in Standard_Handle.hxx now explains better the features differing it from std::shared_ptr<>.
(0069691)
abv (manager)
2017-08-21 09:27

The changes are reviewed with some amendments; please integrate. Note that no testing is needed -- changes are only in comments.
(0069898)
git (administrator)
2017-08-25 16:13

Branch CR28854 has been deleted by kgv.

SHA-1: f4970bf566ca93830856cee65a7b0663c545dded
(0069899)
git (administrator)
2017-08-25 16:13

Branch CR28854_1 has been deleted by kgv.

SHA-1: 7260c9e163b15190868826e37a1bdf2fed115693

- Related Changesets
occt: master 1aa738dd
Timestamp: 2017-06-19 08:55:26
Author: BenjaminBihler
Committer: bugmaster
Details ] Diff ]
0028854: The documentation should state where handle reference counting happens

The comment to class opencascade::handle<> in Standard_Handle.hxx now explains better the features differing it from std::shared_ptr<>.
mod - src/Standard/Standard_Handle.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-06-19 11:03 BenjaminBihler New Issue
2017-06-19 11:03 BenjaminBihler Assigned To => BenjaminBihler
2017-06-19 12:37 git Note Added: 0067511
2017-06-19 12:37 BenjaminBihler Assigned To BenjaminBihler => abv
2017-06-19 12:37 BenjaminBihler Status new => resolved
2017-06-19 12:37 BenjaminBihler Steps to Reproduce Updated View Revisions
2017-08-18 17:24 git Note Added: 0069672
2017-08-21 09:27 abv Note Added: 0069691
2017-08-21 09:27 abv Assigned To abv => bugmaster
2017-08-21 09:27 abv Status resolved => reviewed
2017-08-21 09:51 bugmaster Status reviewed => tested
2017-08-21 09:51 bugmaster Test case number => Not required
2017-08-25 15:02 bugmaster Changeset attached => occt master 1aa738dd
2017-08-25 15:02 bugmaster Status tested => verified
2017-08-25 15:02 bugmaster Resolution open => fixed
2017-08-25 16:13 git Note Added: 0069898
2017-08-25 16:13 git Note Added: 0069899
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker